Bug 211440 - "Save" button in toolbar is not grayed after contents of file are saved
Summary: "Save" button in toolbar is not grayed after contents of file are saved
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: Desktop
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-19 10:13 UTC by Mayank Jain
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 11:19:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mayank Jain 2006-10-19 10:13:53 UTC
Description of problem:
"Save" button in toolbar is not grayed after contents of file are saved. This
confuses the end-user & forces the application to use another means to display
to user that the file is saved. Hence the save button should get grayed
(disabled) untill new changes are not made to the file.

Version-Release number of selected component (if applicable):
qt-3.3.6-13

How reproducible:
Always

Steps to Reproduce:
1. Create new file using kedit/kate
2. type something in the editor
3. save
4. Observe the "save" button in the toolbar.  

Actual results:
Save button is still active after file contents are saved

Expected results:
Save button should be grayed/disabled after save operation

Additional info:
This is a usability bug

Comment 1 Ngo Than 2006-11-21 11:19:41 UTC
In my opinion it's not a usability bug here. I don't see any gui editor which 
sets the "save button" greyed after contents of file are saved!


Note You need to log in before you can comment on or make changes to this bug.